Subject: bug#9134: don't force mystery on user trying to find out what is completing after the word "ssh" in *shell*

From: Stefan Monnier <[email-masked]>
Date: Mon, 14 Oct 2019 08:26:23 -0400

> As a side note, has it always been the case that, when asking
> about a variable with a buffer-local value, if you follow links
> in that *Help* buffer to other variables which also have
> buffer-local values in the original buffer, you'll only see the
> global values (because you're now local to the *Help* buffer)?

Yes.

> I feel like it would be nice if the *Help* remained local to the
> same buffer for as long as you remained in the *Help* window.

I think I agree.

> What would perhaps be nice is for the *actual* sequence of events
> to be tracked internally, and reported on request, so that the
> user could ask "where did the completion(s) actually come from?"
> and be told the answer.

I don't think the "sequence of events" is really necessary, but maybe
just the "last bit" (i.e. pcmpl-ssh-hosts in your example), but yes,
reporting upon request after-the-fact could be good, tho it's probably
going to be hard to make it sufficiently discoverable.

        Stefan